Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class DeleteAttachmentCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<Void>
          org.jbpm.services.task.commands.DeleteAttachmentCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Void>, Command<Void>

    public class DeleteAttachmentCommand

extends TaskCommand<Void>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`DeleteAttachmentCommand()`
`DeleteAttachmentCommand(long taskId, Long attachmentId)`

Method Summary
`Void` | `execute(org.kie.internal.command.Context cntxt)`
`Long` | `getAttachmentId()`
`void` | `setAttachmentId(Long contentId)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteAttachmentCommand

    public DeleteAttachmentCommand()

### DeleteAttachmentCommand

    public DeleteAttachmentCommand(long taskId,
                                   Long attachmentId)

Method Detail

### execute

    public Void execute(org.kie.internal.command.Context cntxt)

### getAttachmentId

    public Long getAttachmentId()

### setAttachmentId

    public void setAttachmentId(Long contentId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.